Bug 13250 - ceph_statx configure time check doesn't work with a non-default --with-libcephfs path
ceph_statx configure time check doesn't work with a non-default --with-libcep...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.7.4
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-06 15:05 UTC by David Disseldorp
Modified: 2018-02-13 10:54 UTC (History)
2 users (show)

See Also:


Attachments
clean cherry-pick for 4.6.next (3.54 KB, patch)
2018-02-06 15:14 UTC, David Disseldorp
jlayton: review+
Details
clean cherry-pick for 4.7.next (3.53 KB, patch)
2018-02-06 15:15 UTC, David Disseldorp
jlayton: review+
Details
cherry-pick for 4.6.next (2.31 KB, patch)
2018-02-12 12:37 UTC, David Disseldorp
jlayton: review+
Details
cherry-pick for 4.7.next (2.31 KB, patch)
2018-02-12 12:38 UTC, David Disseldorp
jlayton: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2018-02-06 15:05:34 UTC
This is a minor bug, but annoying enough (for my own local testing) to warrant a backport, in my opinion.

commit ff7df3d3f5259362a6bb6780d6b532e57e89681d
Author: David Disseldorp <ddiss@suse.de>
Date:   Thu Jul 20 11:10:57 2017 +0200

    build: fix ceph_statx check when configured with libcephfs_dir

    When configured with a custom libcephfs_dir, the ceph_statx check fails
    to link. This is due to the location of the ceph-common dependency,
    which is installed under a ceph subdirectory.

    ceph/build > make DESTDIR=./inst install
    ...
    ceph/build > find inst/|grep -e /libcephfs -e /libceph-common
    inst/usr/local/lib64/ceph/libceph-common.so.0
    inst/usr/local/lib64/ceph/libceph-common.so
    inst/usr/local/lib64/libcephfs.so.2.0.0
    inst/usr/local/lib64/libcephfs.so.2
    inst/usr/local/lib64/libcephfs.so
    inst/usr/local/include/cephfs/libcephfs.h

    Signed-off-by: David Disseldorp <ddiss@suse.de>
    Reviewed-by: Jeff Layton <jlayton@samba.org>

    Autobuild-User(master): David Disseldorp <ddiss@samba.org>
    Autobuild-Date(master): Thu Jul 20 23:02:27 CEST 2017 on sn-devel-144

This change is already carried in 4.8, so is only needed for 4.6 and 4.7.
Comment 1 David Disseldorp 2018-02-06 15:14:59 UTC
Created attachment 13945 [details]
clean cherry-pick for 4.6.next
Comment 2 David Disseldorp 2018-02-06 15:15:29 UTC
Created attachment 13946 [details]
clean cherry-pick for 4.7.next
Comment 3 David Disseldorp 2018-02-07 19:21:35 UTC
@Karo: please pull for 4.6.next and 4.7.next.
Comment 4 Karolin Seeger 2018-02-12 11:47:16 UTC
(In reply to David Disseldorp from comment #3)
Both patches do not apply.
Comment 5 David Disseldorp 2018-02-12 12:05:21 UTC
(In reply to Karolin Seeger from comment #4)
> (In reply to David Disseldorp from comment #3)
> Both patches do not apply.

I attached the wrong (bso#13208) backports here, sorry. Uploading again...
Comment 6 David Disseldorp 2018-02-12 12:37:16 UTC
Created attachment 13956 [details]
cherry-pick for 4.6.next
Comment 7 David Disseldorp 2018-02-12 12:38:18 UTC
Created attachment 13957 [details]
cherry-pick for 4.7.next
Comment 8 Karolin Seeger 2018-02-13 08:35:22 UTC
Thanks, David!

Pushed to autobuild-v4-{6,7}-test.
Comment 9 David Disseldorp 2018-02-13 10:17:41 UTC
Thanks a lot Karo, and Jeff for the reviews. Closing...
Comment 10 Karolin Seeger 2018-02-13 10:54:12 UTC
(In reply to David Disseldorp from comment #9)
Usually, I wait until the patches have passed autobuild and I double-checked that they are really in the *-test branch before closing... ;-)